Package org.eclipse.e4.core.services.nls

# Interface IMessageFactoryService

public interface IMessageFactoryService
Service that is responsible for creating and managing message class instances.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`<M> M`
`getMessageInstance(Locale locale, Class<M> messages, ResourceBundleProvider provider)`
Returns an instance of the of a given messages class for the given `Locale`.

## Method Details

### getMessageInstance

<M> M getMessageInstance(Locale locale, Class<M> messages, ResourceBundleProvider provider)
Returns an instance of the of a given messages class for the given `Locale`. If configured it caches the created instances and return the already created instances. Otherwise a new instance will be created.

Parameters:
  `locale` - The `Locale` for which the message class instance is requested.
  `messages` - The type of the message class whose instance is requested.
  `provider` - The service that is needed to retrieve `ResourceBundle` objects from a bundle with a given locale.
Returns:
  An instance of the given messages class and `Locale`.